package com.yyrh.core.entity;

/**
 * @author #Suyghur.
 * Created on 2021/10/21
 */
public class SdkBackLoginInfo {

    public String userId = "";
    public String userName = "";
    public boolean isRegUser = false;
    public boolean isRealName = false;
    public String userCenterUrl = "";
    public String realNameUrl = "";
    public boolean hideFloatCenter = false;

    private volatile static SdkBackLoginInfo INSTANCE = null;

    public static SdkBackLoginInfo getInstance() {
        if (INSTANCE == null) {
            synchronized (SdkBackLoginInfo.class) {
                if (INSTANCE == null) {
                    INSTANCE = new SdkBackLoginInfo();
                }
            }
        }
        return INSTANCE;
    }

    public void reset() {
        this.userId = "";
        this.userName = "";
        this.isRegUser = false;
        this.isRealName = false;
        this.userCenterUrl = "";
        this.realNameUrl = "";
        this.hideFloatCenter = false;
    }

    @Override
    public String toString() {
        return "SdkBackLoginInfo{" +
                "userId='" + userId + '\'' +
                ", userName='" + userName + '\'' +
                ", isRegUser=" + isRegUser +
                ", isRealName=" + isRealName +
                ", userCenterUrl='" + userCenterUrl + '\'' +
                ", realNameUrl='" + realNameUrl + '\'' +
                '}';
    }
}
